# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'Invoice.number'
        db.add_column(u'billing_invoice', 'number',
                      self.gf('django.db.models.fields.CharField')(default=0, max_length=25),
                      keep_default=False)


        # Changing field 'Invoice.date'
        db.alter_column(u'billing_invoice', 'date', self.gf('django.db.models.fields.DateField')(null=True))

        # Changing field 'Payment.date'
        db.alter_column(u'billing_payment', 'date', self.gf('django.db.models.fields.DateField')())

    def backwards(self, orm):
        # Deleting field 'Invoice.number'
        db.delete_column(u'billing_invoice', 'number')


        # Changing field 'Invoice.date'
        db.alter_column(u'billing_invoice', 'date', self.gf('django.db.models.fields.DateField')(auto_now_add=True, null=True))

        # Changing field 'Payment.date'
        db.alter_column(u'billing_payment', 'date', self.gf('django.db.models.fields.DateField')(auto_now_add=True))

    models = {
        u'billing.invoice': {
            'Meta': {'object_name': 'Invoice'},
            'amount': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            'date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today', 'null': 'True'}),
            'date_due': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2014, 2, 28, 0, 0)', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'offer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['offers.Offer']"}),
            'period_from': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2014, 2, 1, 0, 0)', 'null': 'True'}),
            'period_to': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2014, 2, 28, 0, 0)', 'null': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'open'", 'max_length': '50'})
        },
        u'billing.invoicedetail': {
            'Meta': {'object_name': 'InvoiceDetail'},
            'amount': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invoice': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['billing.Invoice']"}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'quantity': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'tax': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'})
        },
        u'billing.payment': {
            'Meta': {'object_name': 'Payment'},
            'amount': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '7', 'decimal_places': '2'}),
            'date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invoce': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['billing.Invoice']"}),
            'payment_means': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'})
        },
        u'offers.offer': {
            'Meta': {'object_name': 'Offer'},
            'billing_period': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initial_fees': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'period_fees': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            'service': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['offers.Service']"})
        },
        u'offers.service': {
            'Meta': {'object_name': 'Service'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['billing']