# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'NameServer'
        db.create_table(u'reverse_dns_nameserver', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('dns_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'reverse_dns', ['NameServer'])

        # Adding model 'ReverseDNSEntry'
        db.create_table(u'reverse_dns_reversednsentry', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ip', self.gf('netfields.fields.InetAddressField')(max_length=39)),
            ('reverse', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('ip_subnet', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['resources.IPSubnet'])),
        ))
        db.send_create_signal(u'reverse_dns', ['ReverseDNSEntry'])


    def backwards(self, orm):
        # Deleting model 'NameServer'
        db.delete_table(u'reverse_dns_nameserver')

        # Deleting model 'ReverseDNSEntry'
        db.delete_table(u'reverse_dns_reversednsentry')


    models = {
        u'members.member': {
            'Meta': {'object_name': 'Member'},
            'address': ('django.db.models.fields.TextField', [], {}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'country': ('django.db.models.fields.CharField', [], {'default': "'France'", 'max_length': '200'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'entry_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'home_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'ldap_cn': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'mobile_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            'organization_name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'postal_code': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'resign_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'non_adherent'", 'max_length': '50'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'personne_physique'", 'max_length': '20'})
        },
        u'offers.offer': {
            'Meta': {'object_name': 'Offer'},
            'billing_period': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initial_fees': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'period_fees': ('django.db.models.fields.DecimalField', [], {'max_digits': '5', 'decimal_places': '2'}),
            'service': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['offers.Service']"})
        },
        u'offers.offersubscription': {
            'Meta': {'object_name': 'OfferSubscription'},
            'commitment': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'member': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['members.Member']"}),
            'offer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['offers.Offer']"}),
            'resign_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'subscription_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'})
        },
        u'offers.service': {
            'Meta': {'object_name': 'Service'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'resources.ippool': {
            'Meta': {'object_name': 'IPPool'},
            'default_subnetsize': ('django.db.models.fields.PositiveSmallIntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inet': ('netfields.fields.CidrAddressField', [], {'max_length': '43'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'resources.ipsubnet': {
            'Meta': {'object_name': 'IPSubnet'},
            'delegate_reverse_dns': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inet': ('netfields.fields.CidrAddressField', [], {'max_length': '43', 'blank': 'True'}),
            'ip_pool': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['resources.IPPool']"}),
            'name_server': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['reverse_dns.NameServer']", 'symmetrical': 'False', 'blank': 'True'}),
            'offer_subscription': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ip_subnet'", 'to': u"orm['offers.OfferSubscription']"})
        },
        u'reverse_dns.nameserver': {
            'Meta': {'object_name': 'NameServer'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'dns_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'reverse_dns.reversednsentry': {
            'Meta': {'object_name': 'ReverseDNSEntry'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ip': ('netfields.fields.InetAddressField', [], {'max_length': '39'}),
            'ip_subnet': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['resources.IPSubnet']"}),
            'reverse': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['reverse_dns']